<!--
title: Stratum 1 NTP Server participating in ntppool.org
date: 2025-03-13
-->

![](https://numbers.hottis.de/ntp/packets-load.png)

![](https://numbers.hottis.de/ntp/stratum-rootdisp.png)

[Details at ntppool.org](https://www.ntppool.org/scores/93.241.86.156)

## Harrison
![](/static/IMG_6089.jpg)
![](/static/IMG_6088.jpg)

Setup details for this machine are here: [https://gitea.hottis.de/wn/harrison-setup](https://gitea.hottis.de/wn/harrison-setup).

The snmpd subagent for monitoring the ntp daemon is here: [https://gitea.hottis.de/wn/snmp-agentx-ntpsec](https://gitea.hottis.de/wn/snmp-agentx-ntpsec).

### Details of Setup

A GPS receiver (ublox Neo-6M) is connected via a RS232 level converter (MAX232) and via the RS232 connection to a machine (it was not easy to find one with RS232) with a Debian installation.

The PPS signal of the GPS receiver is transmitted via the DCD line of the RS232 connection. That in turn is evaluated by the NMEA line discipline of Linux.

The GPS receiver is then configured as a reference clock in ntpsec:

```
refclock nmea unit 0 mode 0x10 minpoll 4 maxpoll 4 path /dev/ttyS0 ppspath /dev/pps0 baud 9600 flag1 1 flag2 1 flag3 0 refid LIgp
```


## David
![](/static/IMG_6045.jpg)

Details on the setup of this machine are described here: [https://minimal-setups.de/blog/timeserver/](https://minimal-setups.de/blog/timeserver/).

